Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0035383
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSminorhave not tried2017-02-28 16:372017-06-29 11:03
ReporterSandrahuguetView Statuspublic 
Assigned Togorka_gil 
PrioritynormalResolutionfixedFixed in VersionRR17Q3
StatusclosedFix in branchFixed in SCM revisionab97d5c36ebc
ProjectionnoneETAnoneTarget Version
OSLinux 32 bitDatabasePostgreSQLJava version1.6.0_18
OS VersionCommunity ApplianceDatabase version8.3.9Ant version1.7.1
Product VersionSCM revision 
Review Assigned ToSandrahuguet
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0035383: Magnifying glass in product search should be disabled in remote mode if no filter is applied

DescriptionMagnifying glass in product search should be disabled in remote mode if no filter is applied (product category filter or product name filter)

We should also think if this fix should be applied to other selectors in remote mode
Steps To ReproduceN/A
TagsPerformance
Attached Filesdiff file icon posterminal_issue35383.diff [^] (2,189 bytes) 2017-03-01 17:32 [Show Content]
diff file icon mobilecore_issue35383v2.diff [^] (4,601 bytes) 2017-03-06 11:57 [Show Content]
diff file icon mobile.core-35383-Mar23.diff [^] (8,930 bytes) 2017-03-23 14:06 [Show Content]
diff file icon posterminal-35383-Mar23.diff [^] (2,221 bytes) 2017-03-23 14:07 [Show Content]
diff file icon retail.sampledata-35383-Mar23.diff [^] (655 bytes) 2017-03-23 14:07 [Show Content]
diff file icon pi-mobile-35383-Mar23.diff [^] (22,494 bytes) 2017-03-23 14:07 [Show Content]
diff file icon relevantfilters.diff [^] (2,575 bytes) 2017-04-05 14:13 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]
related to feature request 0036276 closedgorka_gil Improve I35383_EnsureNumericSearchsContinueWorking_StockCriteria test 
related to defect 0035485 closedgorka_gil Doing login in a multiprice list terminal with remote configured, do a product query without filters that is not needed 
related to defect 0036333 closedranjith_qualiantech_com Reset style of search characteristic buttons 

-  Notes
(0095529)
gorka_gil (administrator)
2017-03-23 14:14

Current status March 23,

Uploaded attachments:
 * mobile.core-35383-Mar23.diff
 * posterminal-35383-Mar23.diff
 * retail.sampledata-35383-Mar23.diff
 * pi-mobile-35383-Mar23.diff

Diferences from previous uploaded diffs:
- Changed the error to a warning for the user
- The error is not logged in the browser console
- Fixed many pi-mobile tests
- Implemented new pi-mobile tests to check that the message appear and other test to check that normal searches continue working

Pending work:
- Fix test CheckAlwaysShowStockSearchProductOffline (note rest of the test of the suite are not excuted becuase left in offline mode so could be more failing tests)
- The new test created to check that the message appear, checks the console log, but later we change that the error is not shown in the console so need to check these tests if they are working
(0095846)
adrianromero (manager)
2017-04-05 14:14

Upload attachement relevantfilters.diff intended for mobile.core. Fixes the strategy to check whether a remote filter is a relevant filter or not
(0097447)
hgbot (developer)
2017-06-16 16:21

Repository: tools/automation/pi-mobile
Changeset: ef931f6e97c06521367b08b9ecc8a60ffbdf3821
Author: Gorka Gil <gorka.gil <at> openbravo.com>
Date: Tue Jun 13 13:37:23 2017 +0200
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/ef931f6e97c06521367b08b9ecc8a60ffbdf3821 [^]

Related to issue 35383: Magnifying glass in product search should be disabled in remote mode if no filter is applied

Added tests cases that check that error appear:
- empty search
- 1 char search
- 2 char search
Note: done in 3 tests since needed to check if the error in the browser log is ignored, and in the same class is not reset

Added tests to check the error not appear in valid searches:
- search of 3 char
- search by characteristic
- search by category
- search by price with only one digit (numeric search)
- search by stock with only one digit (is string, not numeric, but still should work with one digit)

Fix other tests:
- Change I32962_ReceiptCreateAssortmentAndLoaded, to enter filters before launch the search,
since empty search are no longer allowed
- Change "TV" to "Flat Panel TV", so it has at least 3 letters, updated also the sampledata
- Change CheckAlwaysShowStockHelper.java to check for a warning instead an error
- Fix CheckAlwaysShowStockSearchProductOffline.java overriding the CheckAlwaysShowStockHelper change,
  to continue searching for error instead warning
- Fix I31212_SearchWithLimitPref, change search adding filter but mantaining that returns 4 or more products,
  so the limit of products to list is reached

---
M src-test/org/openbravo/test/mobile/core/utils/AllowedErrorsHelper.java
M src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/stockcriteria/CheckAlwaysShowStockHelper.java
M src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/stockcriteria/CheckAlwaysShowStockSearchProductOffline.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/TestIdPack.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/receipts/I32962_ReceiptCreateAssortmentAndLoaded.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/system/I31212_SearchWithLimitPref.java
A src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/pricecriteria_highvol/I35383_EnsureNumericSearchsContinueWorking_PriceCriteria.java
A src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/stockcriteria_highvol/I35383_EnsureNumericSearchsContinueWorking_StockCriteria.java
A src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/highvolume/I35383_EnsureNormalSearchsInProductInRemoteContinueWorking.java
A src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/highvolume/I35383_No1CharSearchsInProductInRemote.java
A src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/highvolume/I35383_No2CharSearchsInProductInRemote.java
A src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/highvolume/I35383_NoEmptySearchsInProductInRemote.java
---
(0097448)
hgbot (developer)
2017-06-16 16:21

Repository: erp/pmods/org.openbravo.mobile.core
Changeset: b6c9537cf70812867b38097956f098104ad49293
Author: Gorka Gil <gorka.gil <at> openbravo.com>
Date: Fri Jun 16 16:19:14 2017 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/b6c9537cf70812867b38097956f098104ad49293 [^]

Fixes issue 35383: Magnifying glass in product search should be disabled in remote mode if no filter is applied

Modified the behaviour of search in remote:
- equals, notEquals, greaterThan and lessThan are always relevant
- startsWith and contains, the filter is relevant if length >= 3

Note: this allow EAN codes equals to a value with length less than 3 to be relevant,
and searches with price or stock greter to a value to be also relevant.

Implented a way to avoid errors to be logged in client, since these messages don't add any value in the client log.

---
M src-db/database/sourcedata/AD_MESSAGE.xml
M src/org/openbravo/mobile/core/process/ProcessHQLQuery.java
M web/org.openbravo.mobile.core/source/data/ob-dal.js
M web/org.openbravo.mobile.core/source/data/ob-datasource.js
M web/org.openbravo.mobile.core/source/retail/component/ob-retail-searchproductcharacteristic.js
---
(0097449)
hgbot (developer)
2017-06-16 16:23

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: ab97d5c36ebcc2fc6ecd4c8e6759be9a7cf634d1
Author: Gorka Gil <gorka.gil <at> openbravo.com>
Date: Fri Mar 10 14:47:51 2017 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/ab97d5c36ebcc2fc6ecd4c8e6759be9a7cf634d1 [^]

Fixes issue 35383: Magnifying glass in product search should be disabled in remote mode if no filter is applied
Product query will no longer be executed in remote mode, if enough filters are not specified

---
M src-db/database/sourcedata/AD_MESSAGE.xml
M src/org/openbravo/retail/posterminal/master/Product.java
---
(0097450)
hgbot (developer)
2017-06-16 16:23

Repository: erp/pmods/org.openbravo.retail.sampledata
Changeset: c14737a82027a38025c1b7be4d8f05b80f03bbed
Author: Gorka Gil <gorka.gil <at> openbravo.com>
Date: Tue Mar 14 19:04:48 2017 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.sampledata/rev/c14737a82027a38025c1b7be4d8f05b80f03bbed [^]

Related to issue 35383: Magnifying glass in product search should be disabled in remote mode if no filter is applied

Change "TV" product name to "Flat Panel TV", so it has at least 3 letters and can be used in a search

---
M referencedata/sampledata/The_White_Valley_Group/M_PRODUCT.xml
---
(0097488)
hgbot (developer)
2017-06-19 17:55

Repository: tools/automation/pi-mobile
Changeset: 0fbff440b7e1f2718e233ba846baefc57c5fd190
Author: Gorka Gil <gorka.gil <at> openbravo.com>
Date: Mon Jun 19 17:54:57 2017 +0200
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/0fbff440b7e1f2718e233ba846baefc57c5fd190 [^]

Related to issue 35383: Magnifying glass in product search should be disabled in remote mode if no filter is applied

Workaround: changed stock filter from greater to 1 to greater 50.

Created issue: https://issues.openbravo.com/view.php?id=36276 [^] , to implement a proper fix.

---
M src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/stockcriteria_highvol/I35383_EnsureNumericSearchsContinueWorking_StockCriteria.java
---
(0097549)
hgbot (developer)
2017-06-21 12:03

Repository: tools/automation/pi-mobile
Changeset: bd17833fc435fd5f364eb4ef8339c48968cc56da
Author: Gorka Gil <gorka.gil <at> openbravo.com>
Date: Wed Jun 21 11:59:45 2017 +0200
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/bd17833fc435fd5f364eb4ef8339c48968cc56da [^]

Related to issue 35383: Magnifying glass in product search should be disabled in remote mode if no filter is applied

Review:
- copyrigth year
- author
- fix formatter of a file
- remove not used variable

---
M src-test/org/openbravo/test/mobile/core/utils/AllowedErrorsHelper.java
M src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/pricecriteria_highvol/I35383_EnsureNumericSearchsContinueWorking_PriceCriteria.java
M src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/stockcriteria/CheckAlwaysShowStockHelper.java
M src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/stockcriteria/CheckAlwaysShowStockSearchProductOffline.java
M src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/stockcriteria_highvol/I35383_EnsureNumericSearchsContinueWorking_StockCriteria.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/highvolume/I35383_EnsureNormalSearchsInProductInRemoteContinueWorking.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/highvolume/I35383_No1CharSearchsInProductInRemote.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/highvolume/I35383_No2CharSearchsInProductInRemote.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/highvolume/I35383_NoEmptySearchsInProductInRemote.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/receipts/I32962_ReceiptCreateAssortmentAndLoaded.java
---
(0097670)
Sandrahuguet (developer)
2017-06-26 15:57

code review pending to be applied
(0097674)
gorka_gil (administrator)
2017-06-26 17:02

Mark issue to resolved so tests are not skipped.

Wrongly added to some tests an annotation:
 "@TestAnnotations(waitFixOf = 35383)"

This is already fixed and pushed to try-retail, but till pushed to pi-mobile repo, for current runs to not skip this tests, mark resolved this issue as workaround.
(0097699)
hgbot (developer)
2017-06-27 10:51

Repository: erp/pmods/org.openbravo.mobile.core
Changeset: 0efe6faa3eb9a86657c84f8dd41b5a7b0b4d15a3
Author: Gorka Gil <gorka.gil <at> openbravo.com>
Date: Thu Jun 22 09:48:42 2017 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/0efe6faa3eb9a86657c84f8dd41b5a7b0b4d15a3 [^]

Related to issue 35383: Magnifying glass in product search should be disabled in remote mode if no filter is applie

Review copyright year

---
M src/org/openbravo/mobile/core/process/ProcessHQLQuery.java
M web/org.openbravo.mobile.core/source/data/ob-datasource.js
---
(0097700)
hgbot (developer)
2017-06-27 10:51

Repository: erp/pmods/org.openbravo.mobile.core
Changeset: 73887d0c8cffe2e3b47d6798c617ff7bcc00fb89
Author: Gorka Gil <gorka.gil <at> openbravo.com>
Date: Thu Jun 22 10:19:44 2017 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/73887d0c8cffe2e3b47d6798c617ff7bcc00fb89 [^]

Fixes issue 35485: Doing login in a multiprice list terminal with remote configured, do a product query without filters that is not needed

In the first attempt to fix this issue, in the changePriceList event in remote, it just do a clear of search

In the current attempt it will check if any search filter introduced, if yes will luanch the search,
if no will just do nothing.

For the case of the changePriceList event launched when creating new receipt on login it should avoid the search,
since shouldn't have any search filter

Note: in relation with issue 35383, if less than 3 character in the search, it will do again this no relevant search and will show again
the message to narrow your search

---
M web/org.openbravo.mobile.core/source/retail/component/ob-retail-searchproductcharacteristic.js
---
(0097703)
hgbot (developer)
2017-06-27 10:52

Repository: tools/automation/pi-mobile
Changeset: 5e5f451329eae5ac15d68d9f366420f9980cf985
Author: Gorka Gil <gorka.gil <at> openbravo.com>
Date: Mon Jun 26 16:54:20 2017 +0200
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/5e5f451329eae5ac15d68d9f366420f9980cf985 [^]

Related to issue 35383: Magnifying glass in product search should be disabled in remote mode if no filter is applied

Remove "@TestAnnotations(waitFixOf = 35383)" from some tests that don't need it

---
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/highvolume/I35383_No1CharSearchsInProductInRemote.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/highvolume/I35383_No2CharSearchsInProductInRemote.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/highvolume/I35383_NoEmptySearchsInProductInRemote.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/highvolume/I35383_ScanProductsWithUPCLessThan3CharsShouldWork.java
---
(0097709)
Sandrahuguet (developer)
2017-06-27 12:48

reviewed and tested
(0097752)
hgbot (developer)
2017-06-29 11:03

Repository: tools/automation/pi-mobile
Changeset: b026dbb7f4632d2826d869c2b470934fd5021476
Author: Gorka Gil <gorka.gil <at> openbravo.com>
Date: Wed Jun 28 14:03:19 2017 +0200
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/b026dbb7f4632d2826d869c2b470934fd5021476 [^]

Related to issue 35383: Magnifying glass in product search should be disabled in remote mode if no filter is applied

Fix I35383_EnsureNormalSearchsInProductInRemoteContinueWorking failing in highvol jobs since has more products
and first line of search result is diferent than normal sampledata

Changed to just check that we get results since is enough for what we want to check

---
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/highvolume/I35383_EnsureNormalSearchsInProductInRemoteContinueWorking.java
---

- Issue History
Date Modified Username Field Change
2017-02-28 16:37 Sandrahuguet New Issue
2017-02-28 16:37 Sandrahuguet Assigned To => Retail
2017-02-28 16:37 Sandrahuguet Triggers an Emergency Pack => No
2017-02-28 16:37 Sandrahuguet Tag Attached: Performance
2017-03-01 17:32 marvintm File Added: mobilecore_issue35383.diff
2017-03-01 17:32 marvintm File Added: posterminal_issue35383.diff
2017-03-03 09:39 marvintm Status new => scheduled
2017-03-06 11:57 marvintm File Added: mobilecore_issue35383v2.diff
2017-03-06 11:57 marvintm File Deleted: mobilecore_issue35383.diff
2017-03-09 11:01 gorka_gil Assigned To Retail => gorka_gil
2017-03-10 14:30 gorka_gil Relationship added related to 0035485
2017-03-23 14:06 gorka_gil File Added: mobile.core-35383-Mar23.diff
2017-03-23 14:07 gorka_gil File Added: posterminal-35383-Mar23.diff
2017-03-23 14:07 gorka_gil File Added: retail.sampledata-35383-Mar23.diff
2017-03-23 14:07 gorka_gil File Added: pi-mobile-35383-Mar23.diff
2017-03-23 14:14 gorka_gil Note Added: 0095529
2017-04-05 14:13 adrianromero File Added: relevantfilters.diff
2017-04-05 14:14 adrianromero Note Added: 0095846
2017-05-08 17:26 aaroncalero Relationship added related to 0035945
2017-06-16 16:21 hgbot Checkin
2017-06-16 16:21 hgbot Note Added: 0097447
2017-06-16 16:21 hgbot Checkin
2017-06-16 16:21 hgbot Note Added: 0097448
2017-06-16 16:21 hgbot Status scheduled => resolved
2017-06-16 16:21 hgbot Resolution open => fixed
2017-06-16 16:21 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/b6c9537cf70812867b38097956f098104ad49293 [^]
2017-06-16 16:23 hgbot Checkin
2017-06-16 16:23 hgbot Note Added: 0097449
2017-06-16 16:23 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/b6c9537cf70812867b38097956f098104ad49293 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/ab97d5c36ebcc2fc6ecd4c8e6759be9a7cf634d1 [^]
2017-06-16 16:23 hgbot Checkin
2017-06-16 16:23 hgbot Note Added: 0097450
2017-06-19 17:55 hgbot Checkin
2017-06-19 17:55 hgbot Note Added: 0097488
2017-06-19 18:30 gorka_gil Relationship added related to 0036276
2017-06-21 09:26 Sandrahuguet Review Assigned To => Sandrahuguet
2017-06-21 12:03 hgbot Checkin
2017-06-21 12:03 hgbot Note Added: 0097549
2017-06-21 17:37 Sandrahuguet Relationship deleted related to 0035945
2017-06-26 13:41 gorka_gil Relationship added related to 0036333
2017-06-26 15:50 Sandrahuguet Status resolved => new
2017-06-26 15:50 Sandrahuguet Resolution fixed => open
2017-06-26 15:57 Sandrahuguet Note Added: 0097670
2017-06-26 16:59 gorka_gil Status new => scheduled
2017-06-26 17:02 gorka_gil Note Added: 0097674
2017-06-26 17:02 gorka_gil Status scheduled => resolved
2017-06-26 17:02 gorka_gil Resolution open => fixed
2017-06-27 10:51 hgbot Checkin
2017-06-27 10:51 hgbot Note Added: 0097699
2017-06-27 10:51 hgbot Checkin
2017-06-27 10:51 hgbot Note Added: 0097700
2017-06-27 10:52 hgbot Checkin
2017-06-27 10:52 hgbot Note Added: 0097703
2017-06-27 12:48 Sandrahuguet Note Added: 0097709
2017-06-27 12:48 Sandrahuguet Status resolved => closed
2017-06-27 12:48 Sandrahuguet Fixed in Version => RR17Q3
2017-06-29 11:03 hgbot Checkin
2017-06-29 11:03 hgbot Note Added: 0097752


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker